Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2053573002: Speculatively launch Service Workers on mouse/touch events. [5/5] (Closed)

Created:
2 years, 11 months ago by horo
Modified:
2 years, 9 months ago
CC:
asvitkine+watch_chromium.org, blink-reviews, blink-reviews-api_chromium.org, blink-reviews-html_chromium.org, blink-worker-reviews_chromium.org, chromium-reviews, darin-cc_chromium.org, dglazkov+blink, horo+watch_chromium.org, jam, jsbell+serviceworker_chromium.org, kinuko+serviceworker, kinuko+watch, michaeln, nhiroki, serviceworker-reviews, tzik
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Speculatively launch Service Workers on mouse/touch events. [5/5] 1/5: Introduce NavigationHintSender. https://codereview.chromium.org/2043863003/ 2/5: Pipe NavigationHints from NavigationHintSender to ChromeRenderMessageFilter https://codereview.chromium.org/2043083002/ 3/5: Call StartServiceWorkerForNavigationHint() from ChromeRenderMessageFilter https://codereview.chromium.org/2052613003/ 4/5: Measure the precision of the speculative launch of Service Workers for NavigationHints https://codereview.chromium.org/2045153003/ 5/5: Add flags to enable SupeculativeLaunchServiceWorker This CL. This CL introduces a new feature named "SpeculativeLaunchServiceWorker". When the feature is enabled, Service Workers are speculatively started on the user's mousedown/touch events. Demo: https://drive.google.com/file/d/0B6skYAFVnosEMWdzRm4yMEtIMkk/view?usp=sharing BUG=616502 Committed: https://crrev.com/eb269387e90b272408235bef800ad6eb113c4f40 Cr-Commit-Position: refs/heads/master@{#410295}

Patch Set 1 #

Total comments: 2

Patch Set 2 : s/evnets/events/ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+113 lines, -3 lines) Patch
M chrome/app/generated_resources.grd View 1 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/chrome_service_worker_browsertest.cc View 3 chunks +85 lines, -0 lines 0 comments Download
M content/child/runtime_features.cc View 1 1 chunk +3 lines, -0 lines 0 comments Download
M content/public/common/content_features.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M content/public/common/content_features.cc View 1 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLAnchorElement.cpp View 1 chunk +2 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/RuntimeEnabledFeatures.in View 1 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebRuntimeFeatures.cpp View 1 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/WebKit/public/web/WebRuntimeFeatures.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 51 (36 generated)
horo
nhiroki@ Could you please review this?
2 years, 9 months ago (2016-08-03 10:47:40 UTC) #23
nhiroki
lgtm
2 years, 9 months ago (2016-08-05 04:47:25 UTC) #26
horo
tkent@ Could you please review third_party/WebKit/*?
2 years, 9 months ago (2016-08-05 04:56:12 UTC) #28
tkent
lgtm
2 years, 9 months ago (2016-08-05 05:03:36 UTC) #29
horo
thestig@ Please review chrome/* sievers@ Please review content/* rkaplow@ Please review tools/metrics/histograms/histograms.xml
2 years, 9 months ago (2016-08-05 05:09:27 UTC) #31
Lei Zhang
https://codereview.chromium.org/2053573002/diff/240001/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/2053573002/diff/240001/chrome/app/generated_resources.grd#newcode6314 chrome/app/generated_resources.grd:6314: + Speculatively launch service workers using touch and mouse ...
2 years, 9 months ago (2016-08-05 05:23:34 UTC) #32
horo
https://codereview.chromium.org/2053573002/diff/240001/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/2053573002/diff/240001/chrome/app/generated_resources.grd#newcode6314 chrome/app/generated_resources.grd:6314: + Speculatively launch service workers using touch and mouse ...
2 years, 9 months ago (2016-08-05 05:26:09 UTC) #34
Lei Zhang
lgtm
2 years, 9 months ago (2016-08-05 05:31:31 UTC) #36
rkaplow
lgtm
2 years, 9 months ago (2016-08-05 14:46:11 UTC) #39
no sievers
content lgtm
2 years, 9 months ago (2016-08-05 17:58:08 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2053573002/260001
2 years, 9 months ago (2016-08-07 13:30:19 UTC) #43
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_asan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_asan_rel_ng/builds/205462)
2 years, 9 months ago (2016-08-07 15:01:38 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2053573002/260001
2 years, 9 months ago (2016-08-08 02:27:50 UTC) #47
commit-bot: I haz the power
Committed patchset #2 (id:260001)
2 years, 9 months ago (2016-08-08 03:33:53 UTC) #49
commit-bot: I haz the power
2 years, 9 months ago (2016-08-08 03:36:09 UTC) #51
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/eb269387e90b272408235bef800ad6eb113c4f40
Cr-Commit-Position: refs/heads/master@{#410295}

Powered by Google App Engine
This is Rietveld 408576698